Subject: Re: [PATCH v7 3/3] [POWERPC] MPC832x_RDB: update dts to use SPI1in QE, register mmc_spi stub

From: Segher Boessenkool <[email-masked]>
Date: Thu, 6 Sep 2007 16:29:03 +0200

>>> AFAIK, there is no other standard data structure that could take 
>>> place
>>> of the par_io nodes in the DTS.
>>
>> The device tree is not a dumping ground for all your "I need some
>> standard data structure" stuff.  Use an XML file if you have to ;-)
>
> Bah.  How about we just remove the nodes you don't want to see before
> passing it on to the kernel? :-)

That is fine.  In fact, LinuxBIOS will probably do similar things.

Since this node will have one user only, feel free to create a
format for it that is as simple as possible for what you need
it for, there's no need to follow any conventions (as long as
you can create a _real_ tree from it later ;-) )

Segher